AUPARSE_GET_NUM_FIELDS(3)

NAME
auparse_get_num_fields - get the number of fields

SYNOPSIS
#include <auparse.h>

unsigned int auparse_get_num_fields(auparse_state_t *au);

DESCRIPTION
auparse_get_num_fields gets the number of fields in the current record of the current event.

RETURN VALUE
Returns 0 if an error occurs; otherwise, the number of fields.

SEE ALSO
auparse_next_record(3).

AUTHOR
Steve Grubb